Add Rfid Access Key

post

Creates a new rfid access key and either assigns it to a new or existing user.

Authorizations
AuthorizationstringRequired

Enter the Bearer Authorization string as following: Bearer Generated-JWT-Token

Body

Contains details for creating a new rfid access key.

userIdstring · uuid · nullableOptional

UUID of the existing user to assign the access key to. To create a new user, userId must be omitted.

userFirstNamestring · nullableOptional

(optional) First name of the user.

userLastNamestring · nullableOptional

(optional) Last name of the user.

keyFormatstring · nullableOptional

Name of the key format to use for rfid access key type. For a description of access key rfid formats, refer to access key documentation..

keyIdentificationstringRequired

Identification number of the access key. 1-17 digits depending on the specified keyFormat.

keyNamestring · nullableOptional

(optional) A name of the access key. The name will be included in any notifications sent to the user to refer to this particular access key.

pinstring · nullableOptional

(optional) A PIN that should be used with the access key.

accessesstring · uuid[]Required

A list of accesses, specified by id, that should be authorized to the access key.

validFromstring · nullableOptional

(optional) ISO 8601 formatted date from where the access key becomes active. If omitted, the access key will be active immediately after creation.

validTostring · nullableOptional

(optional) ISO 8601 formatted date from where the access key expires. If omitted, the access key will never expire.

Responses
post
/integrator/v1/accesskeys/rfid

Last updated